package com.toughra.ustadmobile.databinding;
import com.toughra.ustadmobile.R;
import com.toughra.ustadmobile.BR;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import android.view.View;
@SuppressWarnings("unchecked")
public class FragmentHtmlTextViewBindingImpl extends FragmentHtmlTextViewBinding  {

    @Nullable
    private static final androidx.databinding.ViewDataBinding.IncludedLayouts sIncludes;
    @Nullable
    private static final android.util.SparseIntArray sViewsWithIds;
    static {
        sIncludes = null;
        sViewsWithIds = new android.util.SparseIntArray();
        sViewsWithIds.put(R.id.activity_string_edit_edit_clx, 2);
    }
    // views
    @NonNull
    private final android.widget.TextView mboundView1;
    // variables
    // values
    // listeners
    // Inverse Binding Event Handlers

    public FragmentHtmlTextViewBindingImpl(@Nullable androidx.databinding.DataBindingComponent bindingComponent, @NonNull View root) {
        this(bindingComponent, root, mapBindings(bindingComponent, root, 3, sIncludes, sViewsWithIds));
    }
    private FragmentHtmlTextViewBindingImpl(androidx.databinding.DataBindingComponent bindingComponent, View root, Object[] bindings) {
        super(bindingComponent, root, 0
            , (androidx.constraintlayout.widget.ConstraintLayout) bindings[2]
            , (androidx.core.widget.NestedScrollView) bindings[0]
            );
        this.activityStringEditScroll.setTag(null);
        this.mboundView1 = (android.widget.TextView) bindings[1];
        this.mboundView1.setTag(null);
        setRootTag(root);
        // listeners
        invalidateAll();
    }

    @Override
    public void invalidateAll() {
        synchronized(this) {
                mDirtyFlags = 0x2L;
        }
        requestRebind();
    }

    @Override
    public boolean hasPendingBindings() {
        synchronized(this) {
            if (mDirtyFlags != 0) {
                return true;
            }
        }
        return false;
    }

    @Override
    public boolean setVariable(int variableId, @Nullable Object variable)  {
        boolean variableSet = true;
        if (BR.text == variableId) {
            setText((java.lang.String) variable);
        }
        else {
            variableSet = false;
        }
            return variableSet;
    }

    public void setText(@Nullable java.lang.String Text) {
        this.mText = Text;
        synchronized(this) {
            mDirtyFlags |= 0x1L;
        }
        notifyPropertyChanged(BR.text);
        super.requestRebind();
    }

    @Override
    protected boolean onFieldChange(int localFieldId, Object object, int fieldId) {
        switch (localFieldId) {
        }
        return false;
    }

    @Override
    protected void executeBindings() {
        long dirtyFlags = 0;
        synchronized(this) {
            dirtyFlags = mDirtyFlags;
            mDirtyFlags = 0;
        }
        boolean textJavaLangObjectNull = false;
        android.text.Spanned htmlFromHtmlText = null;
        android.text.Spanned textJavaLangObjectNullHtmlFromHtmlTextSpannedStringValueOfJavaLangString = null;
        java.lang.String text = mText;

        if ((dirtyFlags & 0x3L) != 0) {



                // read text != null
                textJavaLangObjectNull = (text) != (null);
            if((dirtyFlags & 0x3L) != 0) {
                if(textJavaLangObjectNull) {
                        dirtyFlags |= 0x8L;
                }
                else {
                        dirtyFlags |= 0x4L;
                }
            }
        }
        // batch finished

        if ((dirtyFlags & 0x8L) != 0) {

                // read Html.fromHtml(text)
                htmlFromHtmlText = android.text.Html.fromHtml(text);
        }

        if ((dirtyFlags & 0x3L) != 0) {

                // read text != null ? Html.fromHtml(text) : SpannedString.valueOf("")
                textJavaLangObjectNullHtmlFromHtmlTextSpannedStringValueOfJavaLangString = ((textJavaLangObjectNull) ? (htmlFromHtmlText) : (android.text.SpannedString.valueOf("")));
        }
        // batch finished
        if ((dirtyFlags & 0x3L) != 0) {
            // api target 1

            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.mboundView1, textJavaLangObjectNullHtmlFromHtmlTextSpannedStringValueOfJavaLangString);
        }
    }
    // Listener Stub Implementations
    // callback impls
    // dirty flag
    private  long mDirtyFlags = 0xffffffffffffffffL;
    /* flag mapping
        flag 0 (0x1L): text
        flag 1 (0x2L): null
        flag 2 (0x3L): text != null ? Html.fromHtml(text) : SpannedString.valueOf("")
        flag 3 (0x4L): text != null ? Html.fromHtml(text) : SpannedString.valueOf("")
    flag mapping end*/
    //end
}